﻿@using System;
@using System.Web.UI.WebControls
@using System.Linq;
@using System.Web;
@using System.Web.Mvc;
@using System.Collections.Generic;
@using Portal.Models.LPOPConsolidation;
@using System.Data;

@using Portal.Controllers;
@using Portal.Models.PO;

@model Toyota.Common.Web.MVC.ModelHolder

@{ Layout = "~/Views/Layout/Dashboard.cshtml"; }

@section StartupScript{
    
}

@section Script{
    var __firstLoad = true;
    var SupplierCode = "";
    var SubSupplierCode = "";

    function OnSSMGridBeginCallback(s, e) {
        if (!__firstLoad) {
            SSMHSearchButton.SetEnabled(false);
            SSMHClearButton.SetEnabled(false);
        }

        e.customArgs["SupplierCode"] = SupplierCode;
        e.customArgs["SubSupplierCode"] = SubSupplierCode;
    }

    function OnSSMHClearButtonClick(s, e) {
        SSMHSupplierOption.SetText('');
        SSMHSubSupplierOption.SetText('');

        SupplierCode = SSMHSupplierOption.GetText();
        SubSupplierCode = SSMHSubSupplierOption.GetText();

        GridSSMHSupplierOption.UnselectAllRowsOnPage();
        GridSSMHSupplierOption.ClearFilter();
        GridSSMHSubSupplierOption.UnselectAllRowsOnPage();
        GridSSMHSubSupplierOption.ClearFilter();

        SubSupplierMappingSPEXDataGrid.ClearFilter();
    }

    function OnSSMHSearchButtonClick(s, e) {
        SupplierCode = SSMHSupplierOption.GetText();
        SubSupplierCode = SSMHSubSupplierOption.GetText();
        SubSupplierMappingSPEXDataGrid.PerformCallback();
        __firstLoad = false;
    }

    function OnSSMGridEndCallback(s, e) {
        if (SubSupplierMappingSPEXDataGrid.GetPageCount() <= 0) {
            popupNoDataFound.Show();
        }

        if (!__firstLoad) {
            SSMHSearchButton.SetEnabled(true);
            SSMHClearButton.SetEnabled(true);
        }
    }
}

<div style="display:table;border:1px solid #142B94; background-color:#DEECFD; padding:10px;">
    @Html.Action("PartialHeaderSubSupplierMapping", "SubSupplierMappingSPEX")
</div>
<div style="height: 15px;"></div>
<div>
    @Html.Action("PartialDetailSubSupplierMapping", "SubSupplierMappingSPEX")
</div>

@Html.DevExpress().PopupControl(
settings =>
{
    settings.Name = "popupNoDataFound";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(150);
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.ShowHeader = false;
    settings.Modal = true;
    settings.SetContent(() =>
    {
        ViewContext.Writer.Write("<center>No Data Found<center><br/>");
        Html.DevExpress().Button(
            btsettings =>
            {
                btsettings.Name = "btPopupNoDataFoundClose";
                btsettings.Text = "Close";
                btsettings.ClientSideEvents.Click = "function(s,e) { popupNoDataFound.Hide(); } ";
            }
        ).Render();
    });
}).GetHtml()

@Html.DevExpress().LoadingPanel(
settings =>
{
    settings.Name = "LoadingPanel";
    settings.Modal = true;
}).GetHtml()